
Figure - Bug #113571
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现ANR：com.android.deskclock
2022-11-02 11:45 - CD Test赵飞

Status: CLOSED Start date: 2022-11-02

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

测试命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes  --ignore-native-crashes -s  20  --throttle 200 

--pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch  10  --pct-anyevent  10  --ignore-crashes   -v -v -v

180000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

ANR in com.android.deskclock (com.android.deskclock/.DeskClock)

PID: 28355

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.deskclock/.DeskClock

ErrorId: 1c855af5-acc4-4071-89d0-edd48694776e

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=697941

full avg10=0.00 avg60=0.00 avg300=0.00 total=350338

----- End output from /proc/pressure/memory -----

CPU usage from 8483ms to 0ms ago (2022-10-30 05:41:09.144 to 2022-10-30 05:41:17.626):

  30% 1278/tlog: 1.2% user + 28% kernel / faults: 2 minor

  27% 1142/system_server: 7.5% user + 19% kernel / faults: 5874 minor

  6.7% 2458/com.android.systemui: 3.8% user + 2.8% kernel / faults: 755 minor

  5.9% 31964/kworker/u16:7+CDSP_CNTL: 0% user + 5.9% kernel

  4.8% 1255/installd: 0.1% user + 4.6% kernel / faults: 5 minor

  4.7% 32089/com.microsoft.emmx: 1.5% user + 3.1% kernel / faults: 299 minor

  3.2% 503/logd: 0.3% user + 2.8% kernel / faults: 3 minor

  3.1% 27189/kworker/u16:17-memlat_wq: 0% user + 3.1% kernel

  2.8% 862/android.hardware.memtrack@1.0-service: 0.1% user + 2.7% kernel

  2.7% 1307/media.codec: 0.6% user + 2.1% kernel / faults: 2 minor

  2.6% 1056/surfaceflinger: 1.4% user + 1.2% kernel / faults: 11 minor

  2.2% 31808/com.android.documentsui: 0.9% user + 1.3% kernel / faults: 436 minor

...
History

#1 - 2022-11-02 11:46 - CD Test赵飞

- Due date set to 2022-11-09

#2 - 2022-11-02 11:48 - CD Test赵飞

- Description updated

#3 - 2022-11-07 14:49 - CD Test赵飞

- File Log.zip added

11月4号DB版本复现此问题，Tlog&ANR日志已传附件。

#4 - 2022-11-07 16:54 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#5 - 2022-11-11 17:43 - CD APP-李德盛

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#6 - 2022-11-16 19:54 - CDTS-TEST 周婷

- Due date deleted (2022-11-09)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#7 - 2022-12-05 17:38 - CD APP-王营

- Due date set to 2022-12-15

#8 - 2022-12-27 17:19 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#9 - 2022-12-28 14:30 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#10 - 2022-12-28 14:30 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

error.txt 2.01 MB 2022-11-02 CD Test赵飞
info.txt 14 MB 2022-11-02 CD Test赵飞

Log.zip 35.9 MB 2022-11-07 CD Test赵飞
